\begin{example}
Consider the following timing system $\apts[1]=\tuple{P,\set{\atfa},\forkreln,\joinreln}$:

\begin{pspicture}(0,-1)(14,2.5)

\rput(0,0){\rnode{P}{P:}}

\cnodeput[linestyle=dashed](2,0){pq1}{$\state[1]$}
\cnodeput[doubleline=true](5,0){pq2}{$\state[2]$}
%\cnodeput(8,0){pq3}{$\state[3]$}

\ncline{->}{pq1}{pq2}
\goto[\fork{$\atfa$}]{\clock{a}{}{T=0}}


\nccurve[angleB=120, angleA=60, ncurv=3]{<-}{pq2}{pq2}
\bput{:D}{\clock{b}{}{}}

%\ncline{->}{pq2}{pq3}
\ncloop[angleB=180,loopsize=1.6]{->}{pq2}{pq1}
\dgoto[\join{$\atfa$}]{\clock{c}{T<50}{}}

\rput(7,0){\rnode{A}{$\atfa$:}}
\cnodeput[linestyle=dashed](8,0){aq1}{$\bstate[1]$}
\cnodeput(11,0){aq2}{$\bstate[2]$}
\cnodeput[doubleline=true](14,0){aq3}{$\bstate[3]$}

\ncline{->}{aq1}{aq2}
\goto{\clock{0}{}{U=0}}
\ncline{->}{aq2}{aq3}
\goto{\clock{1}{U<10}{}}
\end{pspicture}
\label{ex:system}

$P$ is the parent TBA with initial state $\state[1]$ and final state set $F=\{\state[2]\}$. 
$P$ accepts the $\omega$-language  $L_1$ (see p.~\pageref{ex:tba1}), and
$\atfa$ is a TFA which accepts the timed language $\setst{\pair{01}{\timing[1]\timing[2]}}{
	\timing[2]-\timing[1] < 10
}$.
In addition, the \emph{fork} and \emph{join} relations $\forkreln$ and $\joinreln$ dictate that on the transition from 
$\state[1]$ to $\state[2]$, an instance of $\atfa$ is forked ($\fork{\atfa}$), and that the transition from $\state[2]$
to $\state[1]$ can only proceed once that instance of $\atfa$ has completed ($\join{\atfa}$).

Conceptually, this system models a parent process ($P$) which exhibits periodic behavior,
accepting an infinite number of substrings of the form $ab^*c$, in which the initial `$a$'
triggers a child process $\atfa$ which must be completed prior to the end of the sequence, marked by
the following `$c$'. In addition, the `$c$' must occur no more than 50 time units after the initial `$a$'.
The child process is modeled by $\atfa$, which accepts strings of the form $01$, in which the $1$ must
occur no more than ten time units after the initial $0$. 
\label{ex:pts}
\end{example}

\endinput
